Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.oai
Class LuceneDocumentBaseOAIHarvester

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
          fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
              fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
                  fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe
                      fr.gouv.culture.oai.SynchronizedOAIObjectImpl
                          fr.gouv.culture.oai.AbstractOAIHarvester
                              fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
                                  fr.gouv.culture.sdx.oai.LuceneDocumentBaseOAIHarvester

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, DocumentBaseOAIHarvester, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIHarvester, OAIObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, Saveable, org.apache.avalon.framework.service.Serviceable, org.apache.avalon.excalibur.concurrent.Sync, SynchronizedXMLConsumer, SynchronizedXMLPipe, SynchronizedXMLProducer, Target, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

public class LuceneDocumentBaseOAIHarvester
extends AbstractDocumentBaseOAIHarvester

Created by IntelliJ IDEA. User: rpandey Date: May 14, 2003 Time: 4:39:30 PM To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.oai.DocumentBaseOAIHarvester
`DocumentBaseOAIHarvester.ConfigurationNode`

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
`_database, deletedDocs, docbase, docbaseId, fileOs, filesProperties, harvestDoc, harvesterIdGen, keepDeletedRecords, NO_DOCS_DELETED, NO_DOCS_HARVESTED, noDocsDeleted, noHarvestedDocs, noRecordsPerBatch, OAI_FAILED_HARVEST, OAI_FROM, OAI_HARVEST_ID, OAI_HARVESTER_LAST_UPDATED, OAI_HARVESTER_RESUMPTION_TOKEN, OAI_IDENTIFIER, OAI_METADATA_PREFIX, OAI_SET, OAI_UNTIL, OAI_VERB, pipe, scheduler, storedRequests, storeRepositoriesRefs, tempDir, TEMPFILE_SUFFIX, urlResource`

Fields inherited from class fr.gouv.culture.oai.AbstractOAIHarvester
`adminEmails, captureElemContent, captureRecord, currentDatestamp, currentMetadtaUrlIdentifier, currentOaiIdentifier, currentOaiStatus, cursor, deleteRecord, firstXmlConsumer, identifierName, manager, newRequestUrl, OAI_REPOSITORY_URL, OAI_REQUEST_URL, repoUrl, requestParams, requestUrl, responseDate, resumptionToken, sBuff, userAgent`

Fields inherited from class fr.gouv.culture.oai.SynchronizedOAIObjectImpl
`_context, logger`

Fields inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe
`synchronizedXmlConsumerAcquired`

Fields inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`synchronizedXmlConsumer`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Fields inherited from interface fr.gouv.culture.sdx.utils.save.Saveable
`ALL_SAVE_ATTRIB, PATH_ATTRIB, SAVE_DIRECTORY_PARAM`

Constructor Summary
`LuceneDocumentBaseOAIHarvester(LuceneDocumentBase base)`

Methods inherited from class fr.gouv.culture.sdx.oai.AbstractDocumentBaseOAIHarvester
`backup, captureRecord, captureResourceFromUrlIdentifier, checkGranularity, configure, configureAdminEmails, configureDatabase, configureDataProviders, configureHarvestIDGenerator, configurePipeline, configureStoreRepositories, configureUpdateTriggers, deleteOAIDocuments, deleteTempDir, endElement, generateNewHarvestId, getHarvesterId, getIndexParameters, getIsoDate, getNewTempDir, handleResumptionToken, initTempDir, lastUpdated, prepareRecordCapture, prepareRecordForDeletion, prepareResourceFromUrlIdentifierCapture, purgePastHarvestsData, resetAllFields, resetRecordCaptureFields, restore, saveCriticalFields, sendPastHarvestsSummary, sendStoredHarvestingRequests, shouldHarvestDocument, startElement, storeFailedHarvestData, storeHarvestedData, targetTriggered`

Methods inherited from class fr.gouv.culture.oai.AbstractOAIHarvester
`abortRecordCapture, characters, getAdminEmails, getHarvestParameters, handleErrors, receiveRequest, receiveSynchronizedRequest, receiveSynchronizedRequest, recycle, resetResumptionToken, service, setAdminEmails, setConsumer, setIdentifierName, toSAX`

Methods inherited from class fr.gouv.culture.oai.SynchronizedOAIObjectImpl
`contextualize, enableLogging, getContext, sendElement, sendElementContent`

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLPipe
`acquireSynchronizedXMLConsumer, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, releaseSynchronizedXMLConsumer, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer
`setConsumer, setSynchronizedConsumer`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
`isAcquired`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
`acquire, attempt, getTokens, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.oai.OAIHarvester
`getAdminEmails, receiveRequest, receiveSynchronizedRequest, receiveSynchronizedRequest, setAdminEmails, setIdentifierName`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`setConsumer`

Methods inherited from interface org.apache.avalon.excalibur.concurrent.Sync
`acquire, attempt, release`

Constructor Detail

### LuceneDocumentBaseOAIHarvester

    public LuceneDocumentBaseOAIHarvester(LuceneDocumentBase base)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.